#include <bits/stdc++.h>

using namespace std;

int main() {
	freopen("text.md", "r", stdin);
	
	string data;
	bool bold = 0, italic = 0, strike = 0, code = 0, quote = 0;
	while (getline(cin, data)) {
		for (int i = 0; i < data.size(); i++) {
			if (data[i] == '\\') {
				cout << data[i + 1];
				
				i++;
				continue;
			}
			
			if (data[i] == '*' || data[i] == '_') {
				if (i + 1 < data.size() && data[i + 1] == data[i]) { // bold
					bold = !bold;
					if (bold)
						cout << "<bold>";
					else
						cout << "</bold>";
					
					i++;
					continue;
				} else { // italic
					italic = !italic;
					if (italic)
						cout << "<italic>";
					else
						cout << "</italic>";
					
					continue;
				}
			}
			
			if (data[i] == '~' && i + 1 < data.size() && data[i + 1] == '~') {
				strike = !strike;
				if (strike)
					cout << "<strike>";
				else
					cout << "</strike>";
				
				i++;
				continue;
			}
			
			if (data[i] == '`') {
				code = !code;
				if (code)
					cout << "<code>";
				else
					cout << "</code>";
				
				continue;
			}
			
			if (i == 0 && data[i] == '#') {
				int cnt;
				for (cnt = 0; cnt < data.size() && data[cnt] == '#'; cnt++);
				if (cnt <= 6) {
					cout << "<header " << cnt << " level>";
					
					if (data[cnt] != ' ')
						cout << data.substr(cnt);
					else
						cout << data.substr(cnt + 1);
					break; // go to next line
				}
			}
			
			if (i == 0 && data[i] == '>') {
				cout << "<quote>";
				if (data[1] != ' ')
					cout << data.substr(1);
				else
					cout << data.substr(2);
				break;
			}
			
			cout << data[i];
		}
		
		cout << endl;
	}
	return 0;
}

// DONE:
/*

**bold**
*italic*
_bold_
_italic_
___bold and italic___
***bold and italic***
> quote
`code`

from
# hey
to
###### hey

~~strike~~

\*it's not italic\*

*/
